package com.googlecode.alfresco.repository.query.impl;

import org.alfresco.service.cmr.repository.NodeRef;
import org.springframework.util.Assert;

/*package*/class NodePath {

	private final NodeRef nodeRef;

	private final boolean immediateChildrenOnly;

	NodePath(final NodeRef nodeRef, final boolean immediateChildrenOnly) {
		Assert.notNull(nodeRef);
		this.nodeRef = nodeRef;
		this.immediateChildrenOnly=immediateChildrenOnly;
	}

	NodePath(final NodeRef nodeRef) {
		this(nodeRef, false);
	}

	public NodeRef getNodeRef() {
		return nodeRef;
	}

	public boolean isImmediateChildrenOnly() {
		return immediateChildrenOnly;
	}

}
